local UISettings = {}

--- @return table The UI settings for the last path generated
local function getSettings()
  return UISettings
end

--- Sets the UI settings
--- @param routeLength number The target length of the route
--- @param alwaysSunny boolean Whether the time of day is always sunny or not
--- @param addTraffic boolean Whether to allow traffic or not
--- @param useRoadIndicator boolean Whether to show the road indicator or not
--- @param destinationOnly boolean Whether to only show the destination waypoint
--- @param keepCurrentVehicle boolean Whether to keep the current vehicle
--- @param waypointSpacing number The spacing of the waypoints (default, sparse, sparser)
local function setSettings(routeLength, alwaysSunny, addTraffic, useRoadIndicator, destinationOnly, keepCurrentVehicle, waypointSpacing)
  -- Store for UI for scenario restart
  UISettings = {
    routeLength = routeLength,
    alwaysSunny = alwaysSunny,
    traffic = addTraffic,
    roadIndicator = useRoadIndicator,
    destinationOnly = destinationOnly,
    keepCurrentVehicle = keepCurrentVehicle,
    waypointSpacing = waypointSpacing
  }
end

return {
  getSettings = getSettings,
  setSettings = setSettings
}